<script setup>
defineProps({
  type: {
    type: String,
    required: false,
    default: 'document'
  }
})
</script>

<template>
  <img v-if="type === 'spreadsheet'" src="@/asset/img/icon/file-spreadsheet.svg" alt="spreadsheet">
  <img v-else-if="type === 'document-writeable'" src="@/asset/img/icon/file-document.svg" alt="document">
  <img v-else-if="type === 'document-normalized'" src="@/asset/img/icon/file-normalized.svg" alt="normalized">
  <img v-else-if="type === 'image'" src="@/asset/img/icon/file-image.svg" alt="image">
  <img v-else-if="type === 'audio'" src="@/asset/img/icon/file-audio.svg" alt="audio">
  <img v-else-if="type === 'video'" src="@/asset/img/icon/file-video.svg" alt="video">
  <img v-else-if="type === 'directory'" src="@/asset/img/icon/file-directory.svg" alt="directory">
  <img v-else-if="type === 'directory-previous'" src="@/asset/img/icon/file-directory-previous.svg" alt="previous directory">
  <img v-else src="@/asset/img/icon/file-unknown.svg" alt="unknown">
</template>
